/*
THIS INFRAGISTICS ULTIMATE SOFTWARE LICENSE  AGREEMENT ("AGREEMENT") LOCATED HERE:
https://www.infragistics.com/legal/license/igultimate-la
https://www.infragistics.com/legal/license/igultimate-eula
GOVERNS THE LICENSING, INSTALLATION AND USE OF INFRAGISTICS SOFTWARE. BY DOWNLOADING AND/OR INSTALLING AND USING INFRAGISTICS SOFTWARE:  you are indicating that you have read and understand this Agreement, and agree to be legally bound by it on behalf of the yourself and your company.
*/
import { HorizontalAnchoredCategorySeries } from "./HorizontalAnchoredCategorySeries";
import { markType } from "igniteui-react-core/ES2015/type";
import { AnchoredCategorySeriesView } from "./AnchoredCategorySeriesView";
import { Color } from "igniteui-react-core/ES2015/Color";
export class PointSeries extends HorizontalAnchoredCategorySeries {
    constructor() {
        super();
        this.ab = PointSeries.$;
    }
    bf() {
        return new PointSeriesView(this);
    }
    ii(a) {
        super.ii(a);
        this.p6 = a;
    }
    de(a, b) {
        let c = this.k9(this.lc(a), true, false);
        if (this.ls(a, b)) {
            return true;
        }
        return false;
    }
    io(a, b, c, d) {
        super.io(a, b, c, d);
    }
    get_cx() {
        return false;
    }
    get cx() {
        return this.get_cx();
    }
    get useHighMarkerFidelity() {
        return this.nq;
    }
}
PointSeries.$t = markType(PointSeries, 'PointSeries', HorizontalAnchoredCategorySeries.$);
export class PointSeriesView extends AnchoredCategorySeriesView {
    constructor(a) {
        super(a);
        this.c4 = null;
        this.c4 = a;
    }
    ap() {
        super.ap();
        if (!this.n) {
            this.bw.lp = 2;
            this.e.bj = 4;
        }
    }
    ac() {
        let a = new Color();
        a.colorString = "rgba(95,95,95,0.5)";
        this.e.ky = a;
        this.e.ep = 3;
        this.e.eq = 2;
        this.e.er = 2;
        this.e.dr = false;
    }
}
PointSeriesView.$t = markType(PointSeriesView, 'PointSeriesView', AnchoredCategorySeriesView.$);
